<?php

include_once "library/inc.connection.php";
include_once "library/inc.library.php";

// Baca Jam pada Komputer
date_default_timezone_set("Asia/Jakarta");
?>
<?php
error_reporting(0);
// memanggil file koneksi.php

// membuat variable dengan nilai dari form
$username = $_POST['username']; // variablenya = username, dan nilainya sesuai yang dimasukkan di input name=”username” tadi
$password = $_POST['password']; // variable password, dan nilainya sesuai yang dimasukkan di input name=”password” tadi
// md5 ada sebuah fungsi PHP untuk engkripsi. misalnya admin jadi 21232f297a57a5a743894a0e4a801fc3. untuk lengkapnya, silahkan googling tentang md5

// proses untuk login

// menyesuaikan dengan data di database
$perintah = "select * from user WHERE username ='$username' AND password = '$password' AND status = 'aktif'";
$hasil = mysql_query($perintah);
$row = mysql_fetch_array($hasil);
$status=$row['status'];
$username=$row['username'];
$level=$row['level'];
$nama_lengkap=$row['nama_lengkap'];
$id_user=$row['id_user'];
if ($row['username'] == $username AND $row['password'] == $password AND $level == 'admin' ) 
{
session_start(); // memulai fungsi session
$level=$row['level'];

$_SESSION['username'] = $username;
$_SESSION['level'] = $level;
echo "<script type=\"text/javascript\">
						alert(\"Silahkan Masuk Sebagai Admin\");
						window.location = \"index_admin.html\"
					</script>";
}
elseif ($row['username'] == $username AND $row['password'] == $password and $level=='user') 
{
session_start(); // memulai fungsi session
$_SESSION['username'] = $username;
$_SESSION['id_user'] = $id_user;
$_SESSION['nama_lengkap'] = $nama_lengkap;
echo "<script type=\"text/javascript\">
						alert(\"Silahkan Masuk masuk untuk melakukan diagnosa\");
						window.location = \"index_user.php\"
					</script>";
		

}

else {
//echo "Gagal Masuk"; // jika gagal, maka muncul teks gagal masuk
echo "<script type=\"text/javascript\">
					 alert(\"Username Atau Password Salah\");
					 window.location = \"login.php\"
					</script>";
}
?>